### Method

# Tsparql Batch get_connection

#### Declaration [src]

    TrackerSparqlConnection*
    tracker_batch_get_connection (
      TrackerBatch* batch
    )

#### Description [src]

Returns the `TrackerSparqlConnection` that this batch was created from.

Gets property | `Tsparql.Batch:connection`

#### Return value

Type: `TrackerSparqlConnection`

The SPARQL connection of this batch.

The returned data is owned by the instance.